Instagram Comment Replies API

Get replies to an Instagram comment.

1 creditper request
GET
/v1/instagram/post/comment/replies
curl "https://api.scrapecreators.com/v1/instagram/post/comment/replies" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "comments": [
    {
      "id": "18277034998224667",
      "text": "@username Thanks for the reply!",
      "comment_like_count": null,
      "child_comment_count": 0,
      "created_at": "2024-06-28T06:20:32.000Z",
      "parent_comment_id": "18038110327814211",
      "user": {
        "id": "25621023419",
        "pk": "25621023419",
        "username": "username",
        "is_verified": false,
        "profile_pic_url": "https://instagram.fosu2-2.fna.fbcdn.net/....jpg"
      }
    }
  ],
  "cursor": null,
  "has_more": false
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

The Instagram post or reel URL

Example:
https://www.instagram.com/reel/C8rKmYvsrck
comment_id
string
required

The parent comment ID from the Comments endpoint

Example:
18038110327814211
cursor
string

The cursor to get more replies. Get `cursor` from the previous response.

Example:
QVFDc29...